Recherche avancée

Médias (1)

Mot : - Tags -/bug

Autres articles (65)

  • HTML5 audio and video support

    13 avril 2011, par

    MediaSPIP uses HTML5 video and audio tags to play multimedia files, taking advantage of the latest W3C innovations supported by modern browsers.
    The MediaSPIP player used has been created specifically for MediaSPIP and can be easily adapted to fit in with a specific theme.
    For older browsers the Flowplayer flash fallback is used.
    MediaSPIP allows for media playback on major mobile platforms with the above (...)

  • Publier sur MédiaSpip

    13 juin 2013

    Puis-je poster des contenus à partir d’une tablette Ipad ?
    Oui, si votre Médiaspip installé est à la version 0.2 ou supérieure. Contacter au besoin l’administrateur de votre MédiaSpip pour le savoir

  • MediaSPIP Core : La Configuration

    9 novembre 2010, par

    MediaSPIP Core fournit par défaut trois pages différentes de configuration (ces pages utilisent le plugin de configuration CFG pour fonctionner) : une page spécifique à la configuration générale du squelettes ; une page spécifique à la configuration de la page d’accueil du site ; une page spécifique à la configuration des secteurs ;
    Il fournit également une page supplémentaire qui n’apparait que lorsque certains plugins sont activés permettant de contrôler l’affichage et les fonctionnalités spécifiques (...)

Sur d’autres sites (8449)

  • How to encode video using ffmpeg-java on Android from Bitmaps ?

    15 décembre 2011, par gtcompscientist

    I am using ffmpeg-java compiled for Android to encode/decode video for my application.

    The problem that I've run into is that I am currently getting each frame as a Bitmap (just a plain android.graphics.Bitmap) and I can't figure out how to stuff that into the encoder.

    Here is the code that I am using to instantiate all the ffmpeg libraries :

       AVCodecLibrary cLibrary = AVCodecLibrary.INSTANCE;
       cLibrary.avcodec_register_all();
       cLibrary.avcodec_init();

       AVFormatLibrary fLibrary = AVFormatLibrary.INSTANCE;
       fLibrary.av_register_all();

       //AVUtilLibrary uLibrary = AVUtilLibrary.INSTANCE;
       //uLibrary.av_malloc();

       AVCodec pCodec = cLibrary.avcodec_find_encoder(AVCodecLibrary.CODEC_ID_H263);
       if (pCodec == null)
       {
           Logging.Log("Unable to find codec.");
           return;
       }
       Logging.Log("Found codec.");


       AVCodecContext codecCtx = cLibrary.avcodec_alloc_context();
       codecCtx.bit_rate = 64000;
       codecCtx.coded_width = VIDEO_WIDTH;
       codecCtx.coded_height = VIDEO_HEIGHT;
       codecCtx.time_base = new AVRational(1, VIDEO_FPS);
       codecCtx.pix_fmt = AVCodecLibrary.PIX_FMT_YUV420P;
       codecCtx.codec_id = AVCodecLibrary.CODEC_ID_H263;
       //codecCtx.codec_type = AVMEDIA_TYPE_VIDEO;

       if (cLibrary.avcodec_open(codecCtx, pCodec) < 0)
       {
           Logging.Log("Unable to open codec.");
           return;
       }
       Logging.Log("Codec opened.");

    This is what I want to be able to execute next :

    cLibrary.avcodec_encode_video(codecCtx, pPointer, pFrame.size(), pFrame);

    But, as of now, I don't know how to put the Bitmap into the right piece or if I have that setup correctly.

    A few notes about the code :
    - VIDEO_WIDTH = 352
    - VIDEO_HEIGHT = 288
    - VIDEO_FPS = 30 ;
    - I'm unsure about how pPointer and pFrame are handled.

  • Error while compile ffmpeg on cygwin for android [closed]

    7 novembre 2011, par Satheesh

    Possible Duplicate :
    Error when run the command ./build.sh in FFmpeg decoder in Android

    I have try to implement the ffmpeg decoding library in my android project.Dowload FFmpeg.I got the ffmpeg library from the bambuser client version and unpack that into the project jni folder.Then i run the extract command(./extract.sh) in cygwin compiler tool(its becoz am using windows os) after that am trying to build ffmpeg library using the command ./build.sh

    I have googled a lot but i cant make it work. Please help me out from this.

    NDK version : NDKr5b Cygwin tool version : 1.7

    My build.sh file is

    /************Command starts here******************/

    #!/bin/bash

    if [ "$NDK" = "" ]; then
       echo NDK variable not set, assuming ${HOME}/android-ndk
       export NDK=${HOME}/android-ndk
    fi

    SYSROOT=$NDK/platforms/android-8/arch-arm
    # Expand the prebuilt/* path into the correct one
    TOOLCHAIN=`echo $NDK/toolchains/arm-linux-androideabi-4.4.3/prebuilt/windows`
    export PATH=$TOOLCHAIN/bin:$PATH

    rm -rf build/ffmpeg
    mkdir -p build/ffmpeg
    cd ffmpeg

    # Don't build any neon version for now
    for version in armv5te armv7a
    do

       DEST=../build/ffmpeg
       FLAGS="--target-os=linux --arch=arm"
       FLAGS="$FLAGS --cross-prefix=arm-linux-androideabi- --arch=arm"
       FLAGS="$FLAGS --sysroot=$SYSROOT"
       FLAGS="$FLAGS --soname-prefix=/data/data/org.rifluxyss.androiddev.livewallpapaerffmpeg/lib/"
       FLAGS="$FLAGS --enable-cross-compile --cc=$TOOLCHAIN/bin/arm-linux-androideabi-gcc"
       FLAGS="$FLAGS --enable-shared --disable-symver"
       FLAGS="$FLAGS --nm=$TOOLCHAIN/bin/arm-linux-androideabi-nm"
       FLAGS="$FLAGS --ar=$TOOLCHAIN/bin/arm-linux-androideabi-ar"
       FLAGS="$FLAGS --ranlib=$TOOLCHAIN/bin/arm-linux-androideabi-ranlib"
       FLAGS="$FLAGS --enable-small --optimization-flags=-O2"
       FLAGS="$FLAGS --enable-encoder=mpeg2video --enable-encoder=nellymoser --enable-memalign-hack "
       FLAGS="$FLAGS --disable-ffmpeg --disable-ffplay"
       FLAGS="$FLAGS --disable-ffserver --disable-ffprobe --disable-encoders"
       FLAGS="$FLAGS --disable-muxers --disable-devices --disable-protocols"
       FLAGS="$FLAGS --enable-protocol=file --enable-avfilter"
       FLAGS="$FLAGS --disable-network --enable-pthreads --enable-avutil"
       FLAGS="$FLAGS --disable-avdevice --disable-asm --extra-libs=-lgcc"

       case "$version" in
           neon)
               EXTRA_CFLAGS="-march=armv7-a -mfloat-abi=softfp -mfpu=neon"
               EXTRA_LDFLAGS="-Wl,--fix-cortex-a8"
               # Runtime choosing neon vs non-neon requires
               # renamed files
               ABI="armeabi-v7a"
               ;;
           armv7a)
               EXTRA_CFLAGS="-march=armv7-a -mfloat-abi=softfp"
               EXTRA_LDFLAGS=""
               ABI="armeabi-v7a"
               ;;
           *)
               EXTRA_CFLAGS=""
               EXTRA_LDFLAGS=""
               ABI="armeabi"
               ;;
       esac
       DEST="$DEST/$ABI"
       FLAGS="$FLAGS --prefix=$DEST"

       mkdir -p $DEST
       echo $FLAGS --extra-cflags="$EXTRA_CFLAGS" --extra-ldflags="$EXTRA_LDFLAGS" > $DEST/info.txt
       ./configure $FLAGS --extra-cflags="$EXTRA_CFLAGS" --extra-ldflags="$EXTRA_LDFLAGS" | tee $DEST/configuration.txt
       [ $PIPESTATUS == 0 ] || exit 1
       make clean
       make -j4 || exit 1
       make install || exit 1

    done

    /****************Command ends here************************/

    While compiling this am getting error when linking the archive files into .so files.

    The error is look like
    "arm-linux-androideabi/bin/ld.exe : cannot find -lavutil
    Collect2:ld returned 1 exit status
    make :[libaswscale/libswscale.so] Error 1
    make :
    waititng for unfinished jobs...."

    Please anyone help me to out from this.

  • Linker error when compiling ffmpeg for Android

    7 novembre 2011, par Satheesh

    I have try to implement the ffmpeg decoding library in my android project.Dowload FFmpeg.I got the ffmpeg library from the bambuser client version and unpack that into the project jni folder.Then i run the extract command(./extract.sh) in cygwin compiler tool(its becoz am using windows os) after that am trying to build ffmpeg library using the command ./build.sh

    I have googled a lot but i cant make it work. Please help me out from this.

    NDK version : NDKr5b Cygwin tool version : 1.7

    My build.sh file is

    /************Command starts here******************/

    #!/bin/bash

    if [ "$NDK" = "" ]; then
       echo NDK variable not set, assuming ${HOME}/android-ndk
       export NDK=${HOME}/android-ndk
    fi

    SYSROOT=$NDK/platforms/android-8/arch-arm
    # Expand the prebuilt/* path into the correct one
    TOOLCHAIN=`echo $NDK/toolchains/arm-linux-androideabi-4.4.3/prebuilt/windows`
    export PATH=$TOOLCHAIN/bin:$PATH

    rm -rf build/ffmpeg
    mkdir -p build/ffmpeg
    cd ffmpeg

    # Don't build any neon version for now
    for version in armv5te armv7a
    do

       DEST=../build/ffmpeg
       FLAGS="--target-os=linux --arch=arm"
       FLAGS="$FLAGS --cross-prefix=arm-linux-androideabi- --arch=arm"
       FLAGS="$FLAGS --sysroot=$SYSROOT"
       FLAGS="$FLAGS --soname-prefix=/data/data/org.rifluxyss.androiddev.livewallpapaerffmpeg/lib/"
       FLAGS="$FLAGS --enable-cross-compile --cc=$TOOLCHAIN/bin/arm-linux-androideabi-gcc"
       FLAGS="$FLAGS --enable-shared --disable-symver"
       FLAGS="$FLAGS --nm=$TOOLCHAIN/bin/arm-linux-androideabi-nm"
       FLAGS="$FLAGS --ar=$TOOLCHAIN/bin/arm-linux-androideabi-ar"
       FLAGS="$FLAGS --ranlib=$TOOLCHAIN/bin/arm-linux-androideabi-ranlib"
       FLAGS="$FLAGS --enable-small --optimization-flags=-O2"
       FLAGS="$FLAGS --enable-encoder=mpeg2video --enable-encoder=nellymoser --enable-memalign-hack "
       FLAGS="$FLAGS --disable-ffmpeg --disable-ffplay"
       FLAGS="$FLAGS --disable-ffserver --disable-ffprobe --disable-encoders"
       FLAGS="$FLAGS --disable-muxers --disable-devices --disable-protocols"
       FLAGS="$FLAGS --enable-protocol=file --enable-avfilter"
       FLAGS="$FLAGS --disable-network --enable-pthreads --enable-avutil"
       FLAGS="$FLAGS --disable-avdevice --disable-asm --extra-libs=-lgcc"

       case "$version" in
           neon)
               EXTRA_CFLAGS="-march=armv7-a -mfloat-abi=softfp -mfpu=neon"
               EXTRA_LDFLAGS="-Wl,--fix-cortex-a8"
               # Runtime choosing neon vs non-neon requires
               # renamed files
               ABI="armeabi-v7a"
               ;;
           armv7a)
               EXTRA_CFLAGS="-march=armv7-a -mfloat-abi=softfp"
               EXTRA_LDFLAGS=""
               ABI="armeabi-v7a"
               ;;
           *)
               EXTRA_CFLAGS=""
               EXTRA_LDFLAGS=""
               ABI="armeabi"
               ;;
       esac
       DEST="$DEST/$ABI"
       FLAGS="$FLAGS --prefix=$DEST"

       mkdir -p $DEST
       echo $FLAGS --extra-cflags="$EXTRA_CFLAGS" --extra-ldflags="$EXTRA_LDFLAGS" > $DEST/info.txt
       ./configure $FLAGS --extra-cflags="$EXTRA_CFLAGS" --extra-ldflags="$EXTRA_LDFLAGS" | tee $DEST/configuration.txt
       [ $PIPESTATUS == 0 ] || exit 1
       make clean
       make -j4 || exit 1
       make install || exit 1

    done

    /****************Command ends here************************/

    While compiling this am getting error when linking the archive files into .so files.

    The error is look like
    "arm-linux-androideabi/bin/ld.exe : cannot find -lavutil
    Collect2:ld returned 1 exit status
    make :[libaswscale/libswscale.so] Error 1
    make :
    waititng for unfinished jobs...."

    Please anyone help me to out from this. Thanks in advance